package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.EnvironmentalQuality;
import com.lightinit.hsdatashow.entity.EnvironmentalQualityExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface EnvironmentalQualityMapper {
    long countByExample(EnvironmentalQualityExample example);

    int deleteByExample(EnvironmentalQualityExample example);

    int deleteByPrimaryKey(Long id);

    int insert(EnvironmentalQuality record);

    int insertSelective(EnvironmentalQuality record);

    List<EnvironmentalQuality> selectByExample(EnvironmentalQualityExample example);

    EnvironmentalQuality selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") EnvironmentalQuality record, @Param("example") EnvironmentalQualityExample example);

    int updateByExample(@Param("record") EnvironmentalQuality record, @Param("example") EnvironmentalQualityExample example);

    int updateByPrimaryKeySelective(EnvironmentalQuality record);

    int updateByPrimaryKey(EnvironmentalQuality record);
}